सामग्री पर जाएँ

Tripo P2 Image to 3D

इंटीग्रेट करें

मॉडल id tripo3d/p2/image-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

उदाहरण जैसी फ़ाइलें: $1.10 1,100 API क्रेडिट · ≈ ₽118.34 चलाने से पहले आपकी फ़ाइलों को मापा जाता है इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Tripo इमेज से 3D #3d#image-to-3d#3d-generation#low-poly

PBR, क्वाड टोपोलॉजी, चार टेक्सचर क्वालिटी स्तरों और टेक्सचर संस्करण चयन वाला इमेज-टू-3D

Tripo · 3D

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक image_url
फ़ाइल ड्रॉप करें, या

3D मॉडल बनाने के लिए उपयोग किया गया इनपुट-इमेज URL।

texture_quality डिफ़ॉल्ट standard

टेक्सचर की गुणवत्ता सेटिंग।

उन्नत texture_version · export_orientation · face_limit · model_seed · texture_seed · delight · auto_size · export_uv · quad · enable_safety_checker
texture_version

टेक्सचर मॉडलिंग के लिए उपयोग किया गया संस्करण। तेज़ गुणवत्ता के लिए v3.5-20260815 चुनें; उस गुणवत्ता के लिए अन्य संस्करण समर्थित नहीं हैं।

export_orientation

निर्दिष्ट होने पर मॉडल निर्यात के लिए forward-axis सेटिंग।

मेश फेस की ऊपरी सीमा; क्वाड टोपोलॉजी के लिए अलग से 25,000 की सीमा है।

geometry निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।

texture निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।

POST /run/tripo3d/p2/image-to-3d?wait=20 कोटेशन → $1.10
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/tripo3d/p2/image-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Tripo P2 Image to 3D के बारे में

`image_url` से एक इमेज को अधिकतम 50,000 फ़ेस वाले 3D मॉडल में बदलता है (क्वाड मेश के लिए 25,000)। टेक्सचर क्वालिटी fast, standard, detailed या extreme हो सकती है, और `texture_version` टेक्सचर मॉडल चुनता है। अन्य विकल्प PBR मैप, डिलाइटिंग, UV एक्सपोर्ट, ऑटो-साइज़िंग और एक्सपोर्ट फ़ॉरवर्ड अक्ष (`export_orientation`) को नियंत्रित करते हैं। अलग-अलग सीड ज्योमेट्री और टेक्सचर नियंत्रित करते हैं।

पैरामीटर

कैनोनिकल नाम या नेटिव नाम में से कोई एक भेजें, दोनों नहीं। कैनोनिकल नाम

नामप्रकार डिफ़ॉल्टअनुमत विवरण
image_urlआवश्यक image
प्रकारurl · image
3D मॉडल बनाने के लिए उपयोग किया गया इनपुट-इमेज URL।
face_limitवैकल्पिक
प्रकारinteger | null
48 – 50,000
मेश फेस की ऊपरी सीमा; क्वाड टोपोलॉजी के लिए अलग से 25,000 की सीमा है।
textureवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यह नियंत्रित करता है कि मॉडल को निर्मित textures मिलें या नहीं।
pbrवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
PBR मटेरियल मैप के निर्माण को नियंत्रित करता है। PBR चालू करने पर टेक्सचर भी सक्रिय हो जाते हैं।
model_seedवैकल्पिक
प्रकारinteger | null
geometry निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।
texture_seedवैकल्पिक
प्रकारinteger | null
texture निर्माण को पुनरुत्पाद्य बनाने के लिए उपयोग किया गया seed।
texture_qualityवैकल्पिक
प्रकारenum
डिफ़ॉल्टstandard
faststandarddetailedextreme
टेक्सचर की गुणवत्ता सेटिंग।
texture_versionवैकल्पिक
प्रकारenum
v3.5-20260815v3.0-20250812v2.5-20250123
टेक्सचर मॉडलिंग के लिए उपयोग किया गया संस्करण। तेज़ गुणवत्ता के लिए v3.5-20260815 चुनें; उस गुणवत्ता के लिए अन्य संस्करण समर्थित नहीं हैं।
delightवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
v3.5-20260815 का उपयोग करके टेक्सचरिंग से पहले पहले से मौजूद प्रकाश को हटाना।
auto_sizeवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
मीटर में मापे गए वास्तविक दुनिया के आयाम देने के लिए स्वचालित स्केलिंग।
export_uvवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
नियंत्रित करता है कि मॉडल को निर्मित UV निर्देशांक मिलें या नहीं।
export_orientationवैकल्पिक
प्रकारenum
+x-x-y+y
निर्दिष्ट होने पर मॉडल निर्यात के लिए forward-axis सेटिंग।
quadवैकल्पिक
प्रकारboolean
डिफ़ॉल्टfalse
त्रिभुजों के बजाय क्वाड का उपयोग करने वाली मेश टोपोलॉजी।
enable_safety_checkerवैकल्पिक
प्रकारboolean
डिफ़ॉल्टtrue
यदि कॉलर अधिकृत है, तो false सेट करके स्क्रीनिंग में ढील दी जा सकती है।
आवश्यक कैनोनिकल नाम, यह भी स्वीकार्य है

फ़ाइल पैरामीटर में सार्वजनिक https:// URL, 10 MB तक का data: URI, या अपलोड का file_url लिया जाता है। फ़ाइलें

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "tripo3d/p2/image-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1100,
    "usd": "1.10",
    "charged": 1100,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "model_mesh": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "base_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "pbr_model": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "rendered_image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "task_id": "string"
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
model_mesh
object {url, content_type, file_name, file_size}निर्मित 3D मॉडल वाली GLB या FBX फ़ाइल; फ़ॉर्मैट Tripo द्वारा निर्मित फ़ॉर्मैट पर निर्भर करता है।
model_urls
object {glb, fbx, base_model, pbr_model}3D मॉडल के वैकल्पिक संस्करणों की ओर संकेत करने वाले URL।
rendered_image
object {url, content_type, file_name, file_size} | nullनिर्मित 3D मॉडल दिखाने वाला rendered preview।
task_id
string | nullनिर्मित मॉडल की पहचान करने वाला पुनः उपयोग योग्य Tripo task ID, जिससे किसी अन्य मॉडल upload के बिना rig या rig-check ऑपरेशन किए जा सकते हैं।

और मॉडल: इमेज से 3D

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/tripo3d/p2/image-to-3d.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt